;
;	This macro normalizes a block of memory, both X and Y by shifting
;	to the right by N bits.
;	Uses and destroys R0,M0, a,b and x0  Assumes nothing.
normalize	macro	address,length,N	
	move	#address,R0
	move	#-1,M0	
	move	R0,R4
	move	M0,M4	
	move	#@pow(0.5,N),x0

	do	#length,_norm_loop
		move x:(R0),x1	y:(R4),y1
		mpy x1,x0,a
		mpy x0,y1,b	
		move  a,x:(R0)+	b,y:(R4)+
_norm_loop
	endm
