;	sign_extend							Avery Wang -- June 23, 1991
; This macro sign extends a 16-bit quantity in the rightmost 16 bits
; out of 24 bits, like what you get from the 16 bit DSP dma stream.
; Destroys R0,R4 a,b,x0,x1,y0 assumes M0==-1

sign_extend	macro	address,length
	move 	#address,R0
	clr		b	 	R0,R4
	move	#$FF0000,x1
	do		#length,_sign_ext_loop
		clr		a	x:(R0),x0	y:(R4),y0
		btst	#15,x0
		tcs 	x1,a
		or  	x0,a
		btst	#15,y0
		tcs		x1,b
		or		y0,b	a1,x:(R0)+
		clr		b 	b1,y:(R4)+
_sign_ext_loop
	endm
		